GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/i386-linux-tdep.h File Reference

Go to the source code of this file.

## Macros
#define | I386_LINUX_ORIG_EAX_REGNUM (I386_PKRU_REGNUM + 1)
#define | I386_LINUX_NUM_REGS (I386_LINUX_ORIG_EAX_REGNUM + 1)
#define | I386_LINUX_XSAVE_XCR0_OFFSET 464

## Functions
uint64_t | i386_linux_core_read_xcr0 (bfd *abfd)
void | i386_linux_handle_segmentation_fault (struct gdbarch *gdbarch, struct ui_out *uiout)
const struct target_desc * | i386_linux_read_description (uint64_t xcr0)
struct type * | x86_linux_get_siginfo_type (struct gdbarch *gdbarch)

## Variables
int | i386_linux_gregset_reg_offset []

## Macro Definition Documentation

## ◆ I386_LINUX_NUM_REGS

#define I386_LINUX_NUM_REGS (I386_LINUX_ORIG_EAX_REGNUM + 1)

Definition at line 35 of file i386-linux-tdep.h.

Referenced by _initialize_amd64_linux_nat(), and i386_linux_init_abi().

## ◆ I386_LINUX_ORIG_EAX_REGNUM

#define I386_LINUX_ORIG_EAX_REGNUM (I386_PKRU_REGNUM + 1)

Definition at line 32 of file i386-linux-tdep.h.

Referenced by fill_gregset(), i386_linux_get_syscall_number_from_regcache(), i386_linux_init_abi(), i386_linux_register_reggroup_p(), i386_linux_write_pc(), and supply_gregset().

## ◆ I386_LINUX_XSAVE_XCR0_OFFSET

#define I386_LINUX_XSAVE_XCR0_OFFSET 464

Definition at line 73 of file i386-linux-tdep.h.

Referenced by amd64_linux_init_abi_common(), i386_linux_core_read_xcr0(), i386_linux_init_abi(), and x86_linux_read_description().

## Function Documentation

## ◆ i386_linux_core_read_xcr0()

uint64_t i386_linux_core_read_xcr0 | ( | bfd * | abfd | ) |

Definition at line 643 of file i386-linux-tdep.c.

References _, I386_LINUX_XSAVE_XCR0_OFFSET, size, warning(), X86_XSTATE_AVX_SIZE, and X86_XSTATE_SSE_MASK.

Referenced by amd64_linux_core_read_description(), and i386_linux_core_read_description().

## ◆ i386_linux_handle_segmentation_fault()

void i386_linux_handle_segmentation_fault | ( | struct gdbarch * | gdbarch,
|  | struct ui_out * | uiout
| ) |  |

Definition at line 394 of file i386-linux-tdep.c.

References _, CATCH, END_CATCH, ui_out::field_fmt(), ui_out::field_string(), i386_mpx_enabled(), paddress(), parse_and_eval_long(), RETURN_MASK_ALL, SIG_CODE_BONDARY_FAULT, ui_out::text(), and TRY.

Referenced by amd64_linux_init_abi_common(), and i386_linux_init_abi().

## ◆ i386_linux_read_description()

const struct target_desc* i386_linux_read_description | ( | uint64_t | xcr0 | ) |

Definition at line 680 of file i386-linux-tdep.c.

References i386_create_target_description(), X86_XSTATE_AVX, X86_XSTATE_AVX512, X86_XSTATE_MPX, X86_XSTATE_PKRU, X86_XSTATE_SSE, and X86_XSTATE_X87.

Referenced by _initialize_i386_linux_tdep(), i386_linux_core_read_description(), i386_linux_init_abi(), and x86_linux_read_description().

## ◆ x86_linux_get_siginfo_type()

struct type* x86_linux_get_siginfo_type | ( | struct gdbarch * | gdbarch | ) |

Definition at line 733 of file i386-linux-tdep.c.

References linux_get_siginfo_type_with_fields(), and LINUX_SIGINFO_FIELD_ADDR_BND.

Referenced by amd64_linux_init_abi_common(), and i386_linux_init_abi().

## Variable Documentation

## ◆ i386_linux_gregset_reg_offset

int i386_linux_gregset_reg_offset[]

Definition at line 585 of file i386-linux-tdep.c.

Referenced by fetch_register(), fill_gregset(), i386_linux_init_abi(), store_register(), and supply_gregset().